This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 174952 - Review Request: lightning - GNU Lightning
Review Request: lightning - GNU Lightning
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
http://www.herr-schmitt.de/pub/lightning
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-04 15:54 EST by Jochen Schmitt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 22:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2005-12-04 15:54:08 EST
Spec Name or Url: http://www.herr-schmitt.de/pub/lightning/lightning.spec
SRPM Name or Url: http://www.herr-schmitt.de/pub/lightning/lightning-1.2-1.spec

Description: 
GNU lightning is a library to aid in making portable programms
that compiles assembly code at run time.
Comment 1 John Mahowald 2006-02-18 11:51:00 EST
Will not build: Arch not included. You probably want %{ix86} macro for
ExclusiveArch. Which does make sense for so much assembly.

And when it does compile, it fails with 
error: Installed (but unpackaged) file(s) found:
   /usr/share/info/dir
This is probably due to the make install step putting an entry in the top node,
but we want that done in %post and deleted in %postun

http://www.gnu.org/software/lightning/lightning.html  is a more relevant URL.

Small typo in %description: programms -> programs
Comment 2 Jochen Schmitt 2006-02-19 15:20:19 EST
I could reproduced your complaint about %{_infodir}/dir.

The other complaints should be fixed.

You can download the correct version from:

Spec Name or Url: http://www.herr-schmitt.de/pub/lightning/lightning.spec
SRPM Name or Url: http://www.herr-schmitt.de/pub/lightning/lightning-1.2-2.spec

Comment 3 Paul Howarth 2006-02-20 02:18:53 EST
(In reply to comment #2)
> I could reproduced your complaint about %{_infodir}/dir.

The usual fix is to do:

rm -f %{buildroot}%{_infodir}/dir

at the end of %install

This will remove it if it gets installed, and will be harmless otherwise.
Comment 4 Jochen Schmitt 2006-02-20 15:19:18 EST
Event I could not reproduced your issue, I have added your suggestion.

the current version could you download from:

Spec Name or Url: http://www.herr-schmitt.de/pub/lightning/lightning.spec
SRPM Name or Url: http://www.herr-schmitt.de/pub/lightning/lightning-1.2-3.spec

Comment 5 John Mahowald 2006-02-27 11:54:32 EST
error: Architecture is not included: x86_64

Does lightning support x86_64?
Comment 6 Jochen Schmitt 2006-03-05 15:17:08 EST
Unfortunately NO.
Comment 7 John Mahowald 2006-05-04 22:52:18 EDT
rpmlint of lightning-1.2-3.i386.rpm:E: lightning no-binary
W: lightning devel-file-in-non-devel-package /usr/include/lightning/ppc/fp.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/ppc/funcs.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/core.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/ppc/core.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/sparc/funcs.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/fp.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/sparc/asm.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/ppc/asm.h
W: lightning devel-file-in-non-devel-package
/usr/include/lightning/i386/funcs.hW: lightning devel-file-in-non-devel-package
/usr/include/lightning/fp-common.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/i386/fp.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/i386/core.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/asm.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/i386/asm.h
W: lightning devel-file-in-non-devel-package
/usr/include/lightning/asm-common.hW: lightning devel-file-in-non-devel-package
/usr/include/lightning/core-common.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/funcs.h
W: lightning devel-file-in-non-devel-package
/usr/include/lightning/sparc/core.hW: lightning devel-file-in-non-devel-package
/usr/include/lightning/funcs-common.h
W: lightning devel-file-in-non-devel-package /usr/include/lightning/sparc/fp.h

These are all rather necessary for lightningize to lightningize something.
(Which it seemed to do successfully)

- package meets naming guidelines
- package meets packaging guidelines
- license is either GPL or LGPL both included and OK
- spec file legible, in am. english
- source matches upstream
- package compiles on FC5 (i386)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

This is something to add to the exclude x86_64 tracker.

APPROVED
Comment 8 Jochen Schmitt 2007-05-20 13:33:25 EDT
Package Change Request
======================
Package Name: lightning
Updated Fedora Ownders: Jochen@herr-schmitt.de,lxtnow@gmail.com
Comment 9 Jason Tibbitts 2007-05-23 11:26:21 EDT
I'm not sure why this ticket is still open, but I'll set the review flag so that
it doesn't show up in the "to be reviewed list".

Note You need to log in before you can comment on or make changes to this bug.